body {
  font-family: Roboto, Helvetica Neue, sans-serif;
  background: url("image/background.png");
  overflow-x: hidden;
  background-size: cover;
}

.login-container {
  max-width: 1000px;
  border-radius: 20px;
  box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 0.15);
  display: flex;
  align-self: center;
  overflow: hidden;
  width: 100%;
}

.banner-img-container {
  position: relative;
  width: 50%;       
  min-width: 320px;
  overflow: hidden;
  border-top-left-radius: 1rem;
  border-bottom-left-radius: 1rem;
}

.banner-img-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-top-left-radius: 1rem;
  border-bottom-left-radius: 1rem;
}

.vertical-text span:nth-child(2),
.vertical-text span:nth-child(4) {
  font-weight: 600;
  font-size: 2.75rem;
  line-height: 3.5rem;
  text-shadow: 0 3px 3px rgba(0, 0, 0, 0.3);
}

.login-info-container {
  width: 100%;   
  height: 100%;   
  background: white;
  padding: 80px 80px;
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.form-logo {
  text-align: center;
  margin-bottom: 32px;
}

.form-logo img {
  margin-bottom: 32px;
  width: 20rem;
  height: auto;
}

.form-logo p {
  font-weight: 600;
  font-size: 1.125rem;
  color: #111827;
}

.form-logo p span {
  font-weight: 900;
}

.form-control,
.form-select {
  border-radius: 1rem;
  padding: 8px 16px;
  height: 45px;
  font-size: 16px;
  border: 1px solid #bdbdbd;
  color: #424242;
}

.form-control::placeholder {
  color: #9ca3af;
}

.form-control:hover,
.form-select:hover {
  transition: .3s;
  border-color: #9edbb6;
}

.form-control:focus,
.form-select:focus {
  border-color: #2eb76d;
  box-shadow: 0 0 0 3px #e7f6ed;
}

.eye-group {
  position: absolute;
  top: 50%;
  right: 0.75rem;
  transform: translateY(-50%);
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form-login .inputGroup input:placeholder-shown+label,
.form-login .inputGroup textarea:placeholder-shown+label {
  top: 10px;
  background-color: transparent;
}

.form-login .inputGroup input:focus+label,
.form-login .inputGroup textarea:focus+label {
  top: -15px;
  left: 10px;
  background-color: #fff !important;
  color: #2eb76d;
  font-weight: 600;
  font-size: 14px;
}

.form-login .inputGroup label {
  font-size: 14px;
  color: rgb(99, 102, 102);
  position: absolute;
  top: -10px;
  left: 10px;
  background-color: #fff;
  transition: all .3s ease;
}

.form-login .inputGroup input,
.form-login .inputGroup textarea {
  padding: 10px;
  border-radius: 12px;
  margin-bottom: 20px;
  outline: 0;
  width: 100%;
  background-color: #fff;
}

.inputGroup {
  margin-bottom: 2rem;
  position: relative;
}

.links {
  margin-top: 1rem;
  font-size: 0.875rem;
  color: #4b5563;
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  align-items: center;
}

.links a {
  color: #4b5563;
  text-decoration: none;
}

.links a:hover {
  text-decoration: underline;
}

.links .divider {
  border-left: 1px solid #9ca3af;
  height: 1rem;
}

.notice {
  margin-top: 1.2rem;
  font-size: 12.8px;
  color: #dc2626;
  line-height: 1.2;
  text-align: center;
}

.footer {
  margin-top: 2.5rem;
  font-size: 12px;
  color: #4b5563;
  line-height: 1.2;
  text-align: center;
  user-select: none;
}

img {
  max-width: 100%;
}

.form-control:invalid {
  background-image: none;
}

.invalid-feedback {
  margin-top: -1rem;
}

.eye-group {
  position: absolute;
  top: 50%;
  right: 0.75rem;
  transform: translateY(-50%);
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form-login .inputGroup input:placeholder-shown+label,
.form-login .inputGroup textarea:placeholder-shown+label {
  top: 10px;
  background-color: transparent;
}

.form-login .inputGroup input:focus+label,
.form-login .inputGroup textarea:focus+label {
  top: -15px;
  left: 10px;
  background-color: #fff !important;
  color: #2eb76d;
  font-weight: 600;
  font-size: 14px;
}

.form-login .inputGroup label {
  font-size: 14px;
  color: rgb(99, 102, 102);
  position: absolute;
  top: -10px;
  left: 10px;
  background-color: #fff;
  transition: all .3s ease;
}

.form-login .inputGroup input,
.form-login .inputGroup textarea {
  padding: 10px;
  border-radius: 12px;
  margin-bottom: 20px;
  outline: 0;
  width: 100%;
  background-color: #fff;
}

.inputGroup {
  margin-bottom: 2rem;
  position: relative;
}

.no-spinner::-webkit-outer-spin-button,
.no-spinner::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.otp-container {
  display: flex;
  gap: 12px;
}

.otp-input {
  width: 48px;
  height: 48px;
  text-align: center;
  font-size: 22px;
  font-weight: bold;
  border-radius: 8px;
  border: 1px solid #e0e0e0;
  background: #f6f7fb;
  color: #626262;   
  outline: none;
}

.otp-input:focus {
  border-color: #257b39;
  background: #fff;     
}     
          
.button-verify {
  background-color: #13aa52;
  border: 1px solid #13aa52;
  border-radius: 4px;
  box-shadow: rgba(0, 0, 0, .1) 0 2px 4px 0;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  font-family: "Akzidenz Grotesk BQ Medium", -apple-system, BlinkMacSystemFont, sans-serif;
  font-size: 16px;
  font-weight: 400;
  outline: none;
  outline: 0;
  padding: 10px 25px;
  text-align: center;
  transform: translateY(0);
  transition: transform 150ms, box-shadow 150ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-verify:hover {
  box-shadow: rgba(0, 0, 0, .15) 0 3px 9px 0;
  transform: translateY(-2px);
}
  
.button-verify:disabled {
    background-color: grey !important;
    opacity: 0.3 !important;
    cursor: not-allowed;
    border: 0;    
}
.otp-input:disabled {
    cursor: no-drop;	
}
.text-verify{
	font-size: 0.7rem;
}    

.btn-return:focus:not(:focus-visible) {
    outline: none !important;
    box-shadow: none;
}

.btn-return:focus {
    outline: none !important;
    box-shadow: none;
}

.resendOTP:hover{
	background-color: transparent;
    outline: none;
    border: 0;
}
.resendOTP:hover i{
	text-decoration: underline;
}
.resendOTP:focus-visible i{
	outline: none;
}
.resendOTP:focus{
	background-color: transparent;
    outline: none;
    border: 0;
}
.toast-body{
	white-space: nowrap;
}  

@media (min-width: 768px) {
  .button-verify {
	padding: 10px 100px;                      
  }
}           

@media (max-width: 1024px) {
  .login-container {
    flex-direction: column;
    max-height: 50rem;
    max-width: 40rem;
  }

  .login-background {
    padding: 2rem;
  }

  .banner-img-container,
  .login-info-container {
    width: 100%;
    border-radius: 1rem;
    padding: 40px 28px;
  }

  .banner-img-container {
    /* min-width: auto;
      height: 300px; */
    display: none;
  }
}

@media (min-width: 1440px) {
  .login-container {
    min-width: 1000px;
  }
}

@media (min-width: 768px) {
  .login-container {
    min-width: 350px;
  }
}

@media (max-width: 480px) {
  .login-container {
    flex-direction: column;
    min-width: 25rem;

  }
}

@media (max-width: 390px) {
  .login-container {
    flex-direction: column;
    min-width: 23rem;
    max-height: 40rem;
  }

  .login-info-container {
    padding: 11px 20px;
  }
}